
# define to build qsinitilla extention(s), undef otherwise
#define qscintilla_ver 1.6

Summary: Python bindings for Qt
Name: 	 PyQt
Version: 3.17
Release: 0.1%{?snapshot:.%{snapshot}}%{?dist}%{?kde}

License: GPL
Group: 	 Development/Languages
Url: 	 http://www.riverbankcomputing.com/pyqt/
%if "%{?snapshot:1}" == "1"
Source: http://www.riverbankcomputing.com/Downloads/Snapshots/PyQt3/PyQt-x11-gpl-snapshot-%{snapshot}.tar.gz
%else
Source0: http://www.riverbankcomputing.com/Downloads/PyQt3/GPL/PyQt-x11-gpl-%{version}.tar.gz
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt-devel
BuildRequires: qt-MySQL qt-ODBC qt-PostgreSQL
%if "%{?fedora}" > "4" || "%{?rhel}" > "4"
BuildRequires: libXmu-devel
%endif

BuildRequires: python-devel >= 2.3
%global python_ver %(%{__python} -c "import sys ; print sys.version[:3]")
%global python_sitedir %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%if "%{?python_ver}" > "2"
Requires: python-abi = %{python_ver}
%endif

BuildRequires: sip-devel >= 4.5 
%global sip_ver %(sip -V 2>/dev/null | cut -d' ' -f1)
%if "%{?sip_ver}" > "3"
# To be paranoid, could change >= to = to force use of the *same* sip that was
# used to build this. -- Rex
Requires: sip >= %{sip_ver}
%endif

%description
These are Python bindings for Qt.

%package devel
Summary: Files needed to build other bindings based on Qt
Group:	 Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: sip-devel
%if "%{?qscintilla_ver:1}" == "1"
Requires:  %{name}-qscintilla = %{version}
Obsoletes: %{name}-qscintilla-devel < %{version}-%{release}
Provides:  %{name}-qscintilla-devel < %{version}-%{release}
%endif
%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt classes (e.g. KDE or your own).

%package examples
Summary: Examples for %{name} 
Group:	 Development/Languages
Requires: %{name} = %{version}-%{release}
%description examples
Examples code demonstrating how to use %{name} 

%if "%{?qscintilla_ver:1}" == "1"
%package qscintilla 
Summary: PyQt qscintilla extentions
Group:   Development/Languages
BuildRequires: qscintilla-devel >= %{qscintilla_ver}
Requires: %{name} = %{version}
%description qscintilla 
Examples code demonstrating how to use the Python bindings for Qt.
%else
BuildConflicts: qscintilla-devel
%endif


%prep
%setup -q -n %{name}-x11-gpl-%{!?snapshot:%{version}}%{?snapshot:snapshot-%{snapshot}}


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

echo yes | %{__python} configure.py -d %{python_sitedir} -w -y qt-mt 

# Makefiles are broken wrt smp builds, workaround
make -C qt %{?_smp_mflags}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mv examples3 examples


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README THANKS
%{_bindir}/*
%{python_sitedir}/*
%{?qscintilla_ver:%exclude %{python_sitedir}/qtext*.so}

%files devel
%defattr(-,root,root,-)
%{_datadir}/sip/*
%{?qscintilla_ver:%exclude %{_datadir}/sip/qtext}
%doc doc/*

%files examples
%defattr(-,root,root,-)
%doc examples/README examples/*.py
%doc examples/*.png examples/*.gif examples/*.bmp

%if "%{?qscintilla_ver:1}" == "1"
%files qscintilla
%defattr(-,root,root,-)
%{_datadir}/sip/qtext/
%{python_sitedir}/qtext*.so
%endif


%changelog
* Mon Nov 06 2006 Rex Dieter 3.17-0.1
- PyQt-3.17

* Sat Oct 28 2006 Rex Dieter 3.16-0.9
- respin against qt-3.3.7 (fc5+)

* Wed Sep 27 2006 Rex Dieter 3.16-0.8
- don't own %%_datadir/sip (bug #206633)

* Mon Sep 25 2006 Rex Dieter 3.16-0.7
- drop comlicated sip-abi, use just sip_ver instead.

* Thu Apr 27 2006 Rex Dieter 3.16-0.6
- respin for sip-4.4.3
- use sip-abi, sip-abi-min

* Mon Apr 24 2006 Rex Dieter 3.16-0.4
- revert to 3.16

* Wed Apr 19 2006 Rex Dieter 3.16-0.3
- cleanup sip bits/deps
- 20060407 snapshot

* Mon Mar 27 2006 Rex Dieter 3.16-0.1
- 3.16

* Mon Nov 14 2005 Rex Dieter 3.15.1-0.1.kde
- 3.15.1

* Thu Sep 15 2005 Rex Dieter 3.15-0.1.kde
- 3.15

* Wed Mar 16 2005 Rex Dieter 0:3.14.1-0.1.kde
- snapshot-20050311 (fix for sip3)

* Wed Mar 09 2005 Rex Dieter 0:3.14.1-0.0.kde
- 3.14.1

* Tue Dec 21 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.13-2.1.kde
- Req: python-abi = %%python_ver

* Wed Dec 15 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.13-2.0.kde
- fix x86_64 build

* Tue Dec 14 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.13-1.1.kde
- Req: sip

* Thu Nov 18 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.13-1.0.kde
- cleanup/fix python macros
- fc3 

* Sun Sep 26 2004 Rex Dieter <rexdieter at sf.net> 0:3.13-0.1.kde
- rebuild against sip-3.11.1/sip-4.1.1

* Wed Sep 22 2004 Rex Dieter <rexdieter at sf.net> 0:3.13-0.0.kde
- 3.13
- new Release scheme

* Mon Sep 20 2004 Rex Dieter <rexdieter at sf.net> 0:3.12-0.fdr.5
- rebuild against sip-3.11/4.1

* Thu Sep 16 2004 Rex Dieter <rexdieter at sf.net> 0:3.12-0.fdr.4
- rebuild against qscintilla-1.4

* Sat Aug 28 2004 Rex Dieter <rexdieter at sf.net> 0:3.12-0.fdr.3
- remove qscintilla bits from main pkg.

* Tue Jul 20 2004 Rex Dieter <rexdieter at sf.net> 0:3.12-0.fdr.2
- use/Require: %%python_sitearch

* Mon Jul 06 2004 Rex Dieter <rexdieter at sf.net> 0:3.12-0.fdr.1
- rebuild against sip-4.0(.1)

* Fri May 28 2004 Rex Dieter <rexdieter at sf.net> 0:3.12-0.fdr.0
- 3.12

* Mon May 24 2004 Rex Dieter <rexdieter at sf.net> 0:3.11-0.fdr.2
- fix python detection

* Wed May 19 2004 Rex Dieter <rexdieter at sf.net> 0:3.11-0.fdr.1
- FC2
- qscintilla subpkg

* Thu Mar 10 2004 Rex Dieter <rexdieter at sf.net> 0:3.10-0.fdr.2
- dynamically determine version for qt dependency.

* Wed Mar 10 2004 Rex Dieter <rexdieter at sf.net> 0:3.10-0.fdr.1
- (re)build against qt-3.3.1

* Sat Jan 17 2004 Rex Dieter <rexdieter at sf.net> 0:3.10-0.fdr.0
- 3.10

* Sun Jan 11 2004 Rex Dieter <rexdieter at sf.net> 0:3.9-0.fdr.1
- rebuild against fixed sip-3.9

* Fri Dec 19 2003 Rex Dieter <rexdieter at sf.net> 0:3.9-0.fdr.0
- 3.9

* Wed Dec 03 2003 Rex Dieter <rexdieter at sf.net> 0:3.8.1-0.fdr.2
- cleanup macros
- (re)build against qt-3.2.3

* Mon Nov 10 2003 Rex Dieter <rexdieter at sf.net> 0:3.8.1-0.fdr.1
- (re)build against qt-3.2.2

* Tue Aug 12 2003 Rex Dieter <rexideter at sf.net> 0:3.7-0.fdr.0
- Epoch: 0

* Mon Aug 11 2003 Rex Dieter <rexdieter at sf.net> 3.7-0.fdr.0
- 3.7

* Fri May 23 2003 Rex Dieter <rexdieter at sf.net> 3.6-0.fdr.0
- fedora versioning

* Thu Feb  6 2003 Mihai Ibanescu <misa@redhat.com> 3.5-5
- rebuilt against new python

* Thu Jan 30 2003 Than Ngo <than@redhat.com> 3.5-4
- excludearch alpha
- disable smp_flag on s390

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 08 2003 Elliot Lee <sopwith@redhat.com> 3.5-3
- Don't exclude alpha

* Tue Dec 11 2002 Than Ngo <than@redhat.com> 3.5-2
- fix typo

* Tue Dec 11 2002 Than Ngo <than@redhat.com> 3.5-1
- 3.5 release

* Mon Nov 18 2002 Than Ngo <than@redhat.com> 3.5-0.20021114.1
- Release Candidate, which supports qt 3.1.0
- fix dependency problem with python

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.4-1
- 3.4

* Sat Aug 24 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- to not enable parallel make
- specfile cleanups
- again excludearch alpha

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.3.2-3
- rebuild using new gcc-3.2-0.3
- remove excludearch alpha

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 3.3.2-2
- rebuild to get rid of deps

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 3.3.2-1
- 3.3.2 release for qt 3.0.5

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Harald Hoyer <harald@redhat.de>
- updated to version 3.2.4

* Thu May 02 2002 Than Ngo <than@redhat.com> 3.2-0.rc4.1
- 3.2rc4
- build against python 2

* Tue Apr 16 2002 Than Ngo <than@redhat.com> 3.1-2
- rebuild

* Fri Mar 29 2002 Than Ngo <than@redhat.com> 3.1-1
- update 3.1 for qt 3.0.3

* Fri Mar  8 2002 Than Ngo <than@redhat.com> 3.0-4
- rebuild against qt-3
- fix Url

* Fri Feb 22 2002 Than Ngo <than@redhat.com> 3.0-3
- rebuild against python 1.5.2 and qt 2.3.2

* Wed Jan 16 2002 Than Ngo <than@redhat.com> 3.0-1
- update to 3.0
- add 4 official patches
- build against qt 3

* Tue Aug 14 2001 Than Ngo <than@redhat.com> 2.5-1
- update to 2.5
- add patch from alane@geeksrus.net (bug #54627)

* Mon Apr 23 2001 Than Ngo <than@redhat.com>
- update to 2.4
- remove a g++ patch, since the bug is fixed in current gcc-2.96-81

* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Fri Feb 23 2001 Than Ngo <than@redhat.com>
- rebuild against sip-2.3-2

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- update to 2.3
- use python 1.5

* Fri Feb 02 2001 Than Ngo <than@redhat.com>
- fixed to build against gcc-2.96-72

* Wed Jan 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't require a package we aren't shipping (python2 >= 2.0,
  not python >= 2.0)

* Tue Dec 26 2000 Than Ngo <than@redhat.com>
- rebuild against the new qt-2.2.3
- fixed to build with python 2.0
- add missing PyQt docs

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov 8 2000 Than Ngo <than@redhat.com>
- update to 2.2
- fixed BuildPrereq

* Tue Oct 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove bogus requirement on python-%%{pythonver}, there's no such
  thing as a python-1.5 package and we actually use version 1.5.2
  Than: I take this VERY seriously... "It compiles, therefore it
  works!" is a registered trademark of myself. ;)
- some fixes to spec file
- update URL

* Mon Oct 23 2000 Than Ngo <than@redhat.com>
- update to 2.1
- add requires python

* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- don't hardcode Qt version
- add defattr

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt with the new qt

* Sat May 27 2000 Ngo Than <than@redhat.de>
- update 0.12 for 7.0

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.11.1
- Qt 2.1.0

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.10.1
- Qt 1.45
- handle RPM_OPT_FLAGS
- fix download URL
- -devel and -examples require base package

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated 0.10

* Tue Dec 14 1999 Ngo Than <than@redhat.de>
- 0.10pre5

* Sun Nov 28 1999 Ngo Than <than@redhat.de>
- adapted for powertools-6.2

* Fri Aug 13 1998 Pieter Nagel <pnagel@e.co.za>
- Initial packaging as RPM
